      FUNCTION PEKRT( Z )

C     At one time, this was used to return the 'Pekeris branch cut'
C     which is just a particular branch of the square root that
C     exposes many 'leaky' or 'virtual' modes.

C     The current version implements a particular branch which was
C     convenient

      COMPLEX*16 PEKRT, Z

      IF ( REAL( Z ) .GE. 0.0 ) THEN
         PEKRT = SQRT( Z )
      ELSE
         PEKRT = (0.0, 1.0) * SQRT( -Z )
      ENDIF

      RETURN
      END
